## php5 5.6.9+dfsg

=== debian/changelog ===
php5 (5.6.9+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.9+dfsg
   - Core:
    . Fixed bug #69467 (Wrong checked for the interface by using Trait). 
    . Fixed bug #69420 (Invalid read in zend_std_get_method).
    . Fixed bug #60022 ("use statement [...] has no effect" depends on
      leading backslash).
    . Fixed bug #67314 (Segmentation fault in gc_remove_zval_from_buffer).
    . Fixed bug #68652 (segmentation fault in destructor).
    . Fixed bug #69419 (Returning compatible sub generator produces a
      warning).
    . Fixed bug #69472 (php_sys_readlink ignores misc errors from
      GetFinalPathNameByHandleA).
    . Fixed bug #69364 (PHP Multipart/form-data remote dos Vulnerability).
    . Fixed bug #69403 (str_repeat() sign mismatch based memory corruption).
    . Fixed bug #69418 (CVE-2006-7243 fix regressions in 5.4+).
    . Fixed bug #69522 (heap buffer overflow in unpack()).
   - FTP:
    . Fixed bug #69545 (Integer overflow in ftp_genlist() resulting in
      heap overflow).
   - ODBC:
    . Fixed bug #69354 (Incorrect use of SQLColAttributes with ODBC 3.0).
    . Fixed bug #69474 (ODBC: Query with same field name from two tables
      returns incorrect result).
    . Fixed bug #69381 (out of memory with sage odbc driver).
   - OpenSSL:
    . Fixed bug #69402 (Reading empty SSL stream hangs until timeout).
   - PCNTL:
    . Fixed bug #68598 (pcntl_exec() should not allow null char).
   - PCRE
    . Upgraded pcrelib to 8.37.
   - Phar:
    . Fixed bug #69453 (Memory Corruption in phar_parse_tarfile when entry
      filename starts with null).
  * Rebased patches on top of 5.6.9+dfsg version

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 May 2015 09:35:03 +0200

php5 (5.6.8+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.8+dfsg
   - Core:
     . Fixed bug #66609 (php crashes with __get() and ++ operator in some cases).
       (Dmitry, Laruence)
     . Fixed bug #68021 (get_browser() browser_name_regex returns non-utf-8
       characters). (Tjerk)
     . Fixed bug #68917 (parse_url fails on some partial urls). (Wei Dai)
     . Fixed bug #69134 (Per Directory Values overrides PHP_INI_SYSTEM
       configuration options). (Anatol Belski)
     . Additional fix for bug #69152 (Type confusion vulnerability in
       exception::getTraceAsString). (Stas)
     . Fixed bug #69210 (serialize function return corrupted data when sleep has
       non-string values). (Juan Basso)
     . Fixed bug #69212 (Leaking VIA_HANDLER func when exception thrown in
       __call/... arg passing). (Nikita)
     . Fixed bug #69221 (Segmentation fault when using a generator in combination
       with an Iterator). (Nikita)
     . Fixed bug #69337 (php_stream_url_wrap_http_ex() type-confusion
       vulnerability). (Stas)
     . Fixed bug #69353 (Missing null byte checks for paths in various PHP
       extensions). (Stas)
   - Apache2handler:
     . Fixed bug #69218 (potential remote code execution with apache 2.4
       apache2handler). (Gerrit Venema)
   - cURL:
     . Implemented FR#69278 (HTTP2 support). (Masaki Kagaya)
     . Fixed bug #68739 (Missing break / control flow). (Laruence)
     . Fixed bug #69316 (Use-after-free in php_curl related to
       CURLOPT_FILE/_INFILE/_WRITEHEADER). (Laruence)
   - Date:
     . Fixed bug #69336 (Issues with "last day of <monthname>"). (Derick Rethans)
   - Enchant:
     . Fixed bug #65406 (Enchant broker plugins are in the wrong place in windows
       builds). (Anatol)
   - Ereg:
     . Fixed bug #68740 (NULL Pointer Dereference). (Laruence)
   - Fileinfo:
     . Fixed bug #68819 (Fileinfo on specific file causes spurious OOM and/or
       segfault). (Anatol Belski)
   - Filter:
     . Fixed bug #69202: (FILTER_FLAG_STRIP_BACKTICK ignored unless other
       flags are used). (Jeff Welch)
     . Fixed bug #69203 (FILTER_FLAG_STRIP_HIGH doesn't strip ASCII 127). (Jeff
       Welch)
   - OPCache:
     . Fixed bug #69297 (function_exists strange behavior with OPCache on
       disabled function). (Laruence)
     . Fixed bug #69281 (opcache_is_script_cached no longer works). (danack)
     . Fixed bug #68677 (Use After Free). (CVE-2015-1351) (Laruence)
   - OpenSSL
     . Fixed bugs #68853, #65137 (Buffered crypto stream data breaks IO polling
       in stream_select() contexts) (Chris Wright)
     . Fixed bug #69197 (openssl_pkcs7_sign handles default value incorrectly)
       (Daniel Lowrey)
     . Fixed bug #69215 (Crypto servers should send client CA list)
       (Daniel Lowrey)
     . Add a check for RAND_egd to allow compiling against LibreSSL (Leigh)
   - Phar:
     . Fixed bug #64343 (PharData::extractTo fails for tarball created by BSD tar).
       (Mike)
     . Fixed bug #64931 (phar_add_file is too restrictive on filename). (Mike)
     . Fixed bug #65467 (Call to undefined method cli_arg_typ_string). (Mike)
     . Fixed bug #67761 (Phar::mapPhar fails for Phars inside a path containing 
       ".tar"). (Mike)
     . Fixed bug #69324 (Buffer Over-read in unserialize when parsing Phar). (Stas)
     . Fixed bug #69441 (Buffer Overflow when parsing tar/zip/phar in
       phar_set_inode). (Stas)
   - Postgres:
     . Fixed bug #68741 (Null pointer dereference). (CVE-2015-1352) (Laruence)
   - SPL:
     . Fixed bug #69227 (Use after free in zval_scan caused by
        spl_object_storage_get_gc). (adam dot scarr at 99designs dot com)
   - SOAP:
     . Fixed bug #69293 (NEW segfault when using SoapClient::__setSoapHeader 
        (bisected, regression)). (Laruence)
   - Sqlite3:
     . Fixed bug #68760 (SQLITE segfaults if custom collator throws an exception).
        (Dan Ackroyd)
     . Fixed bug #69287 (Upgrade bundled libsqlite to 3.8.8.3). (Anatol)
     . Fixed bug #66550 (SQLite prepared statement use-after-free). (Sean Heelan)
  * Update d/gbp.conf to new config style
  * Update patches for 5.6.8 release
  * Switch to gbp pq patch management

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 May 2015 10:01:38 +0200
