=== debian/rules ===
--- 
+++ 
@@ -38,12 +38,6 @@
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el))
   $(warning Disabling checks on $(DEB_HOST_ARCH))
   RUN_TESTS = no
-endif
-
-ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 m68k hppa ppc64))
-  CONFIGURE_APACHE_ARGS = --with-interbase=shared,/usr --with-pdo-firebird=shared,/usr
-else
-  CONFIGURE_APACHE_ARGS = --without-interbase --without-pdo-firebird
 endif
 
 ifeq (yes,$(RUN_TESTS))
@@ -133,14 +127,12 @@
 		--with-bz2 \
 		--enable-ctype \
 		--with-db4 \
-		--with-qdbm=/usr \
 		--without-gdbm \
 		--with-iconv \
 		--enable-exif \
 		--enable-ftp \
 		--with-gettext \
 		--enable-mbstring \
-		--with-onig=/usr \
 		--with-pcre-regex=/usr \
 		--enable-shmop \
 		--enable-sockets \
@@ -230,3 +222,22 @@
 
 	touch build-cli-stamp
 
+build-phpdbg-stamp: configure-phpdbg-stamp
+	dh_testdir
+	cd phpdbg-build && $(MAKE)
+
+	touch build-phpdbg-stamp
+
+build-embed-stamp: configure-embed-stamp
+	dh_testdir
+	cd embed-build && $(MAKE)
+
+	touch build-embed-stamp
+
+build-fpm-stamp: configure-fpm-stamp
+	dh_testdir
+	cd fpm-build && $(MAKE)
+
+	touch build-fpm-stamp
+
+
