=== debian/watch ===
version=3
opts=downloadurlmangle=s#/a/#/this/#,\
filenamemangle=s#/get/(php-(5\.[0-9\.]*)\.tar\.xz)/.*#$1#,\
dversionmangle=s/\+dfsg$// \
http://www.php.net/downloads.php /get/php-(5\.[0-9\.]*)\.tar\.xz/from/a/mirror debian
