## php5 5.6.13+dfsg

=== debian/changelog ===
php5 (5.6.13+dfsg-2) unstable; urgency=medium

  [ Justin Pasher ]
  * Improve sessionclean script to handle tiered and symlinked directories

  [ Bernat Arlandis ]
  * Fix the bug where sessionclean doesn't touch session files

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Sep 2015 10:11:18 +0200

php5 (5.6.13+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.13+dfsg
  * Refresh patches on top of 5.6.13+dfsg release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Sep 2015 11:54:24 +0200

php5 (5.6.12+dfsg-1) unstable; urgency=medium

  * Drop explicit support for upstart (Closes: #792892)
  * Imported Upstream version 5.6.12+dfsg
  * Rebase patches using gbp pq on top of PHP 5.6.12+dfsg
  * Silence the MySQL library mismatch warning (Closes: #794191)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 16 Aug 2015 10:34:01 +0200
