=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: apache2-dev (>= 2.4),
 	       dh-apache2,
 	       dh-systemd (>= 1.3),
-	       libsystemd-daemon-dev [linux-any],
+	       libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
 	       autoconf (>= 2.63),
 	       automake (>= 1.11) | automake1.11,
 	       bison,
@@ -132,9 +132,9 @@
 Provides: ${php:Provides}
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
- This package provides the PHP5 module for the Apache 2 webserver (as
- found in the apache2-mpm-prefork package).  Please note that this package
- ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
+ This package provides the PHP5 module for the Apache 2 webserver
+ Please note that this package ONLY works with Apache's prefork MPM, as it
+ is not compiled thread-safe.
  .
  ${php:Extensions}
  .
@@ -160,9 +160,9 @@
 Provides: ${php:Provides}
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (apache 2 filter module)
- This package provides the PHP5 Filter module for the Apache 2 webserver (as 
- found in the apache2-mpm-prefork package).  Please note that this package
- ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
+ This package provides the PHP5 Filter module for the Apache 2 webserver.
+ Please note that this package ONLY works with Apache's prefork MPM, as it
+ is not compiled thread-safe.
  .
  Unless you specifically need filter-module support, you most likely
  should instead install libapache2-mod-php5.
@@ -338,3 +338,4 @@
 Suggests: php5-dev
 Replaces: php4-pear (<< 4:4.4.0-0), php-xml-util
 Provides: php-xml-util
+Description: PEAR - PHP Extension and Application Repository
